Bug 1345808 - [abrt] ibus: _g_log_abort(): ibus-ui-gtk3 killed by SIGTRAP
Summary: [abrt] ibus: _g_log_abort(): ibus-ui-gtk3 killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20668457ed516f0a4d94b0b0adc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 08:51 UTC by Mike FABIAN
Modified: 2019-09-25 04:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:50:48 UTC


Attachments (Terms of Use)
File: backtrace (34.24 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: cgroup (259 bytes, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: core_backtrace (4.95 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: dso_list (9.26 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: environ (523 bytes, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: maps (45.88 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.51 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: open_fds (967 bytes, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details
File: var_log_messages (348 bytes, text/plain)
2016-06-13 08:51 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-06-13 08:51:04 UTC
Version-Release number of selected component:
ibus-1.5.13-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: _g_log_abort
executable:     /usr/libexec/ibus-ui-gtk3
global_pid:     1984
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 _g_log_abort at gmessages.c:325
 #9 XPending at Pending.c:55
 #10 gdk_check_xpending at gdkeventsource.c:269
 #11 gdk_event_source_check at gdkeventsource.c:306
 #12 g_main_context_check at gmain.c:3681
 #15 gtk_main at gtkmain.c:1269
 #16 application_run at application.c:199
 #17 application_main at application.c:269

Comment 1 Mike FABIAN 2016-06-13 08:51:11 UTC
Created attachment 1167276 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-06-13 08:51:12 UTC
Created attachment 1167277 [details]
File: cgroup

Comment 3 Mike FABIAN 2016-06-13 08:51:14 UTC
Created attachment 1167278 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2016-06-13 08:51:16 UTC
Created attachment 1167279 [details]
File: dso_list

Comment 5 Mike FABIAN 2016-06-13 08:51:17 UTC
Created attachment 1167280 [details]
File: environ

Comment 6 Mike FABIAN 2016-06-13 08:51:19 UTC
Created attachment 1167281 [details]
File: limits

Comment 7 Mike FABIAN 2016-06-13 08:51:22 UTC
Created attachment 1167282 [details]
File: maps

Comment 8 Mike FABIAN 2016-06-13 08:51:24 UTC
Created attachment 1167283 [details]
File: mountinfo

Comment 9 Mike FABIAN 2016-06-13 08:51:25 UTC
Created attachment 1167284 [details]
File: namespaces

Comment 10 Mike FABIAN 2016-06-13 08:51:27 UTC
Created attachment 1167285 [details]
File: open_fds

Comment 11 Mike FABIAN 2016-06-13 08:51:28 UTC
Created attachment 1167286 [details]
File: proc_pid_status

Comment 12 Mike FABIAN 2016-06-13 08:51:30 UTC
Created attachment 1167287 [details]
File: var_log_messages

Comment 13 fujiwara 2016-06-15 03:52:35 UTC
I cannot reproduce your backtrace.
Are you still able to reproduce your backtrace?

(In reply to Mike FABIAN from comment #1)
> Created attachment 1167276 [details]
> File: backtrace

#0  0x00007f2aa311a19b in _g_log_abort (breakpoint=1) at gmessages.c:325
#1  g_logv (log_domain=0x7f2aa51c97ee "Gdk", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffe62295d60) at gmessages.c:1080
#2  0x00007f2aa311a30f in g_log (log_domain=log_domain@entry=0x7f2aa51c97ee "Gdk", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7f2aa51e6dae "%s") at gmessages.c:1119
#3  0x00007f2aa51944ba in _gdk_x11_display_error_event (display=display@entry=0x55eb706f6020, error=error@entry=0x7ffe62295f10) at gdkdisplay-x11.c:2576
#4  0x00007f2aa51a0723 in gdk_x_error (xdisplay=0x55eb706dfc00, error=0x7ffe62295f10) at gdkmain-x11.c:307
#5  0x00007f2aa429357d in _XError (dpy=dpy@entry=0x55eb706dfc00, rep=rep@entry=0x55eb70791fb0) at XlibInt.c:1429
#6  0x00007f2aa42903e7 in handle_error (dpy=0x55eb706dfc00, err=0x55eb70791fb0, in_XReply=<optimized out>) at xcb_io.c:213
#7  0x00007f2aa42904ad in handle_response (dpy=dpy@entry=0x55eb706dfc00, response=0x55eb70791fb0, in_XReply=in_XReply@entry=0) at xcb_io.c:325
#8  0x00007f2aa4290e65 in _XEventsQueued (dpy=dpy@entry=0x55eb706dfc00, mode=mode@entry=2) at xcb_io.c:364
#9  0x00007f2aa428274f in XPending (dpy=0x55eb706dfc00) at Pending.c:55
#10 0x00007f2aa519b081 in gdk_check_xpending (display=<optimized out>) at gdkeventsource.c:269
#11 gdk_event_source_check (source=0x55eb707150e0) at gdkeventsource.c:306
#12 0x00007f2aa3113471 in g_main_context_check (context=context@entry=0x55eb707151d0, max_priority=2147483647, fds=fds@entry=0x55eb707585a0, n_fds=n_fds@entry=3) at gmain.c:3681

Comment 14 Fedora End Of Life 2017-07-25 21:05:21 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 14:50:48 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 ompragash 2017-08-24 11:45:38 UTC
Cannot reproduce. Feel free to reopen if anyone can reproduce this issue with "How to reproduce".


Note You need to log in before you can comment on or make changes to this bug.